package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjZjcsxx;

/**
 * 设计-钻具参数信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-18
 */
public interface SjZjcsxxMapper 
{
    /**
     * 查询设计-钻具参数信息
     * 
     * @param id 设计-钻具参数信息主键
     * @return 设计-钻具参数信息
     */
    public SjZjcsxx selectSjZjcsxxById(Long id);

    /**
     * 查询设计-钻具参数信息列表
     * 
     * @param sjZjcsxx 设计-钻具参数信息
     * @return 设计-钻具参数信息集合
     */
    public List<SjZjcsxx> selectSjZjcsxxList(SjZjcsxx sjZjcsxx);

    /**
     * 新增设计-钻具参数信息
     * 
     * @param sjZjcsxx 设计-钻具参数信息
     * @return 结果
     */
    public int insertSjZjcsxx(SjZjcsxx sjZjcsxx);

    /**
     * 修改设计-钻具参数信息
     * 
     * @param sjZjcsxx 设计-钻具参数信息
     * @return 结果
     */
    public int updateSjZjcsxx(SjZjcsxx sjZjcsxx);

    /**
     * 删除设计-钻具参数信息
     * 
     * @param id 设计-钻具参数信息主键
     * @return 结果
     */
    public int deleteSjZjcsxxById(Long id);

    /**
     * 批量删除设计-钻具参数信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZjcsxxByIds(Long[] ids);
}
